<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 5</h1>
    <a>Ejercicio 7</a>

    <script>

        const intercambiarBits = (num) => {
            for (var i = 0; i < 32; i += 2) {
                let bit1 = ( num >> i ) & 1,
                    bit2 = (num >> (i + 1)) & 1;

                num = num - ( bit1 << i) - (bit2 << ( i + 1))
                          + ( bit1 << ( i + 1)) + (bit2 << i);
            }
            return num;
        }




        let num = 18;
        console.log(`El intercambio de: ${num}, es: ${intercambiarBits(num)}`);
    
        
    </script>
    
</body>
</html>